package dbhandler

type User struct {
	Username string `json:"username"`
	Nickname string `json:"nickname"`
	Email    string `json:"email"`
}

type UsersDBHandler interface {
	GetUser(username string) (User, error)
	ListUsers() ([]User, error)
	CreateUser(User) error
	DeleteUser(username string) error
}
